import { j as jsxRuntimeExports } from "./doenetml-BPsLSRHD.js";
import React__default from "react";
import { u as useDoenetRenderer } from "./useDoenetRenderer-BDC0Rur_.js";
const mdash = React__default.memo(function Ndash(props) {
  let { SVs } = useDoenetRenderer(props, false);
  if (SVs.hidden) {
    return null;
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: "—" });
});
export {
  mdash as default
};
